For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
              • GETList Promotions
              • DELDelete Multiple Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPromotionsPromotions Bulk

List Promotions

GET
https://api.bigcommerce.com/stores/:store_hash/v3/promotions
GET
/stores/:store_hash/v3/promotions
$curl -G https://api.bigcommerce.com/stores/store_hash/v3/promotions \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -d code=TEST_COUPON
1{
2 "data": [
3 {
4 "id": 1,
5 "redemption_type": "AUTOMATIC",
6 "name": "Buy Product X Get Free Shipping",
7 "display_name": "WOW!!! FREE SHIPPING for Product X",
8 "channels": [
9 {
10 "id": 1
11 }
12 ],
13 "customer": {
14 "group_ids": [
15 1,
16 2,
17 3
18 ],
19 "minimum_order_count": 0,
20 "excluded_group_ids": [
21 1,
22 2,
23 3
24 ],
25 "segments": {
26 "id": [
27 "ccec121a-f9bc-4a04-809e-1fe0d8ae7fdd"
28 ]
29 }
30 },
31 "rules": [
32 {
33 "action": {
34 "cart_value": {
35 "discount": {
36 "fixed_amount": "12.95"
37 }
38 }
39 },
40 "apply_once": true,
41 "stop": true,
42 "condition": {
43 "cart": {
44 "items": {
45 "brands": [
46 1,
47 2,
48 3
49 ]
50 },
51 "minimum_spend": "12.95",
52 "minimum_quantity": 1
53 }
54 }
55 }
56 ],
57 "current_uses": 2,
58 "max_uses": 10,
59 "status": "ENABLED",
60 "start_date": "2019-01-20T22:00:00.000Z",
61 "end_date": "2019-01-20T22:00:00.000Z",
62 "stop": false,
63 "can_be_used_with_other_promotions": false,
64 "currency_code": "USD",
65 "notifications": [
66 {
67 "content": "Congratulations! Youʼve received a free %ACTION.FREE_PRODUCT%",
68 "type": "UPSELL",
69 "locations": [
70 "HOME_PAGE"
71 ]
72 }
73 ],
74 "shipping_address": {
75 "countries": [
76 {
77 "iso2_country_code": "US"
78 }
79 ]
80 },
81 "schedule": {
82 "week_frequency": 2,
83 "week_days": [
84 "Monday"
85 ],
86 "daily_start_time": "01:20:00",
87 "daily_end_time": "23:59:00"
88 },
89 "created_from": "api"
90 }
91 ],
92 "meta": {
93 "pagination": {
94 "total": 0,
95 "count": 0,
96 "per_page": 0,
97 "current_page": 0,
98 "total_pages": 0,
99 "links": {
100 "previous": "string",
101 "current": "string",
102 "next": "string"
103 }
104 }
105 }
106}

Returns a list of promotions.

The response includes the display name and other details about each promotion, and lists the promotions ordered by ID by default.

Note: The default rate limit for this endpoint is 40 concurrent requests.

Was this page helpful?
Previous

Delete Coupon Code by ID

Next

Delete Multiple Promotions

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Marketing | modify | `store_v2_marketing` | | Marketing | read-only | `store_v2_marketing_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

idintegerOptional

Filter items by id.

namestringOptional

Filter items by name.

codestringOptional

Filter items by code.

currency_codestringOptional

Filter items by currency_code.

redemption_typeenumOptional

Filter items by redemption type

Allowed values:
statusstringOptional

Filter items by status.

pageintegerOptional>=1
Query parameter that specifies the page number in a paginated list of resources.
limitintegerOptional1-250
Query parameter that limits the number of items displayed per page in a paginated list of resources. When none is specified a default value of 50 is used.
sortenumOptional

Query parameter that specifies the field name to sort by. The default value is id.

Allowed values:
directionenumOptional

Query parameter that specifies the sorting direction. The default value is asc.

Allowed values:
channelslist of integersOptional

Filter promotions that target those channel IDs. Example: ?channels=1,2. Note: promotions that target all the channels are included in the filtering result.

querystringOptional
Filter items by both name or code.

Response

datalist of objects
metaobject
Contains data about the response including pagination and collection totals.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Marketingmodifystore_v2_marketing
Marketingread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.